Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
Class DefaultGrailsClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.DefaultGrailsClass

All Implemented Interfaces:
  GrailsClass

    public class DefaultGrailsClass

extends AbstractGrailsClass

A default implementation for Grails classes that need to be registered and managed by a GrailsApplication, but don't need any special handling.

Since:
  0.5
Author:
  Graeme Rocher

Constructor Summary
`DefaultGrailsClass(Class<?> clazz)`
`DefaultGrailsClass(Class<?> clazz, String trailingName)` Contructor to be used by all child classes to create a new instance and get the name right.

Method Summary

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractGrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultGrailsClass

    public DefaultGrailsClass(Class<?> clazz,
                              String trailingName)

  Contructor to be used by all child classes to create a new instance and get the name right.

  Parameters:
    `clazz` - the Grails class
    `trailingName` - the trailing part of the name for this class type

### DefaultGrailsClass

    public DefaultGrailsClass(Class<?> clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD